# Generated from omgdav-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name omgdav

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Rack app for bridging WebDAV and MogileFS
License: AGPLv3+
URL: http://bogomips.org/omgdav/README
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(unicorn) >= 4.4
# BuildRequires: rubygem(unicorn) < 5
# BuildRequires: rubygem(olddoc) >= 1.0
# BuildRequires: rubygem(olddoc) < 2
BuildArch: noarch

%description
omgdav exposes an existing MogileFS domain over WebDAV.  There is
absolutely no commitment or modification needed to your existing
MogileFS installation to try omgdav in read-only mode.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/omgdav-setup
%{_bindir}/omgdav-sync
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.manifest
%license %{gem_instdir}/COPYING
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/LATEST
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/pkg.mk
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.olddoc.yml
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/omgdav.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.3-1
- Initial package
